org.apache.uima.cas.impl

## Enum CasState

- java.lang.Object
- - java.lang.Enum<CasState>
  - - org.apache.uima.cas.impl.CasState

- All Implemented Interfaces:
    Serializable, Comparable<CasState>

      public enum CasState
      extends Enum<CasState>

  states the CAS can be in

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_ACCESS`
    `READ_ONLY`
    `UIMA_AS_WAIT_4_RESPONSE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CasState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CasState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UIMA_AS_WAIT_4_RESPONSE

          public static final CasState UIMA_AS_WAIT_4_RESPONSE

    - #### READ_ONLY

          public static final CasState READ_ONLY

    - #### NO_ACCESS

          public static final CasState NO_ACCESS

  - ### Method Detail

    - #### values

          public static CasState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CasState c : CasState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CasState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.